Skip to main content
GET
Get topic message by consensusTimestamp

Path Parameters

timestamp
string
required

The Unix timestamp in seconds.nanoseconds format, the timestamp at which the associated transaction reached consensus. See unixtimestamp.com for a simple way to convert a date to the 'seconds' part of the Unix time.

Pattern: ^\d{1,10}(\.\d{1,9})?$

Response

OK

consensus_timestamp
string
required

A Unix timestamp in seconds.nanoseconds format

Pattern: ^\d{1,10}(\.\d{1,9})?$
Example:

"1586567700.453054000"

message
string
required
payer_account_id
string | null
required

Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

running_hash
string<byte>
required
running_hash_version
integer<int32>
required
sequence_number
integer<int64>
required
topic_id
string | null
required

Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

chunk_info
object | null